Bug 813193 - RFE: Display page context in window title
RFE: Display page context in window title
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: 1.6-alpha-1
Assigned To: Carlos Munoz
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 03:51 EDT by Sean Flanigan
Modified: 2012-06-21 20:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.6.0 (20120531-1040)
Doc Type: Bug Fix
Doc Text:
Cause Zanata's pages do not have consistent and "human-readable" titles for all pages. Consequence Users are unable to see a title for the section of the application they are on. Furthermore, browsers that show a page title in their history will only show "Zanata", instead of something more meaningful. Fix Add meaningful titles to most (editor not covered) pages. Result Zanata will show a specific title for each section of the app on the browser, and browser history will also contain these details.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-04-17 03:51:39 EDT
We should add some context to our page titles (eg project pages should include the project name) instead of simply having the title "Zanata".

This won't apply to the editor at this stage, just the JSF pages (home page, project page, locale page, etc).
Comment 2 Carlos Munoz 2012-06-05 21:19:36 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
Zanata's pages do not have consistent and "human-readable" titles for all pages.

Consequence
Users are unable to see a title for the section of the application they are on. Furthermore, browsers that show a page title in their history will only show "Zanata", instead of something more meaningful.

Fix
Add meaningful titles to most (editor not covered) pages.

Result
Zanata will show a specific title for each section of the app on the browser, and browser history will also contain these details.
Comment 3 Ding-Yi Chen 2012-06-07 01:53:24 EDT
Verified with Zanata version 1.6.0 (20120531-1040)

Note You need to log in before you can comment on or make changes to this bug.